import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
import java.awt.Font;
import java.awt.Color;

public class Freeway extends World
{
    public Player Player;
    public int LIFE = 3;
    public int live = 1;
    public int dead = 0;
    public int l1 = 347;
    public int l2 = 422;
    public int l3 = 495;
    public int l4 = 571;
    public int worldWidth = 1136;
    public int worldHeight = 640;
    public int sector = worldWidth/5;

    public Freeway()
    {    
        super(1136, 640, 1);
        Player = new Player();
        addObject(Player,568,620);

        prepare();
    }

    /**
     * Prepare the world for the start of the program. That is: create the initial
     * objects and add them to the world.
     */
    private void prepare()
    {

        Ambulance ambulance = new Ambulance();
        addObject(ambulance, 1083, l1);
        ambulance.setRotation(180);

        Ambulance ambulance2 = new Ambulance();
        addObject(ambulance2, 303, l2);
        ambulance2.setRotation(180);

        GreenCar greencar = new GreenCar();
        addObject(greencar, 875, l1);
        greencar.setRotation(180);

        GreenCar greencar2 = new GreenCar();
        addObject(greencar2, 435, l2);
        greencar2.setRotation(180);

        BlueCar bluecar = new BlueCar();
        addObject(bluecar, 832, l2);
        bluecar.setRotation(180);

        BlueCar bluecar2 = new BlueCar();
        addObject(bluecar2, 197, l1);
        bluecar2.setRotation(180);

        RedCar redcar = new RedCar();
        addObject(redcar, 521, l1);
        redcar.setRotation(180);

        RedCar redcar2 = new RedCar();
        addObject(redcar2, 1035, l2);
        redcar2.setRotation(180);

        OrangeCar orangecar = new OrangeCar();
        addObject(orangecar, 787, l1);
        orangecar.setRotation(180);

        OrangeCar orangecar2 = new OrangeCar();
        addObject(orangecar2, 113, l2);
        orangecar2.setRotation(180);

        Ambulance ambulance3 = new Ambulance();
        addObject(ambulance3, 1084, l4);

        RedCar redcar3 = new RedCar();
        addObject(redcar3, 925, l3);

        BlueCar bluecar3 = new BlueCar();
        addObject(bluecar3, 861, l4);

        GreenCar greencar3 = new GreenCar();
        addObject(greencar3, 171, l3);

        OrangeCar orangecar3 = new OrangeCar();
        addObject(orangecar3, 280, l4);

        GreenCar greencar4 = new GreenCar();
        addObject(greencar4, 627, l4);

        RedCar redcar4 = new RedCar();
        addObject(redcar4, 124, l4);

        BlueCar bluecar4 = new BlueCar();
        addObject(bluecar4, 483, l3);
        
        Ooze ooze = new Ooze();
        addObject(ooze, Greenfoot.getRandomNumber(sector), Greenfoot.getRandomNumber(180)+50);
        
        Ooze ooze2 = new Ooze();
        addObject(ooze2, Greenfoot.getRandomNumber(sector)+sector, Greenfoot.getRandomNumber(180)+50);
        
        Ooze ooze3 = new Ooze();
        addObject(ooze3, Greenfoot.getRandomNumber(sector)+sector+sector, Greenfoot.getRandomNumber(180)+50);
        
        Ooze ooze4 = new Ooze();
        addObject(ooze4, Greenfoot.getRandomNumber(sector)+sector+sector+sector, Greenfoot.getRandomNumber(180)+50);
        
        Ooze ooze5 = new Ooze();
        addObject(ooze5, Greenfoot.getRandomNumber(sector)+sector+sector+sector+sector, Greenfoot.getRandomNumber(180)+50);
        
        Barrel barrel = new Barrel();
        addObject(barrel, 609, 630);
    }
}
