import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

// Creates the Predator class
public class Bug extends Creature

{
    public void act()
    {
        move(1);
        randomTurn();
        turnAtEdge();
        tryToEatCritter(); 
        testCollision();
    }
    
    // With a 10% probability, turn left or right
    public void randomTurn()
    {
        if (Greenfoot.getRandomNumber(100)<10)
        {
            turn(Greenfoot.getRandomNumber(40)-20);
        }
    }
    
    // If we reach the exdge of the world, turn a little bit.
    public void turnAtEdge()
    {
        if (atWorldEdge())
        {
            turn(7);
        }
    }
    
    // If you run into the Critter, eat the Critter.
    public void tryToEatCritter()
    {
        if(canSee(Player.class))
        {
            eat(Player.class);
            //Greenfoot.playSound(".wav");
        }
    }
    
    //s
    public void testCollision()
    {
        if(canSee(Bug.class))
        {
            turn(180);
            //Greenfoot.playSound(".wav");
        }
    }
}
