import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * A snake in my game that can eat turtles.
 * 
 * @author mik
 * @version 1.0
 */
public class GreenCar extends Vehicle
{
   
    public void act()
    {
        //getImage().scale(140, 64);
        move(4);
        turnAtEdge();
        tryToEatPlayer();
    }
    
    /**
     * If we reach the edge of the world, turn a little bit.
     */
    public void turnAtEdge()
    {
        if (atWorldEdge())
        {
            turn(180);
            move(1120);
            turn(180);
        }
    }
    
    /**
     * Check whether we can see Lettuce. If we can, eat it.
     */
    public void tryToEatPlayer()
    {
        if (canSee(Player.class) )
        {
            eat(Player.class);
            Greenfoot.playSound("gameover.wav");
            Greenfoot.stop();
        }
    }
}
